HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
The HttpMessage class
PHP Manual

# HttpMessage::setRequestMethod

(PECL pecl_http >= 0.10.0)

HttpMessage::setRequestMethod — Set request method

### Beschreibung

public bool HttpMessage::setRequestMethod ( string `$method` )

Set the Request Method of the HTTP Message.

### Parameter-Liste

`method`

  the request method name

### Rückgabewerte

Returns TRUE on success, or FALSE if the message is not of type HttpMessage::`TYPE_REQUEST` or an invalid request method was supplied.

HttpMessage::setHttpVersion
HttpMessage::setRequestUrl
The HttpMessage class
PHP Manual